<?xml version="1.0" encoding="GB2312"?>
<FeatureConfig>
<!--Common Used by Front and Rear Mode Begin-->
    <Feature Name="normalmode"  RequestName = "normalshot">
        <Pipeline Name="PostIpp" FilterType="PreviewFilter">
            <Node Name="Node0" Type="Plugin"      AlgoName="SourcePlugin"><Connect         PadName="Out0"  PeerNodeName="Node2"   PeerPadName="In0"  /> </Node>
            <Node Name="Node2" Type="Plugin"      AlgoName="HwBeautyIpp"><Connect          PadName="Out0"  PeerNodeName="Node3"   PeerPadName="In0"  /> </Node>
            <Node Name="Node3" Type="Plugin"      AlgoName="AIPersonTracking"><Connect          PadName="Out0"  PeerNodeName="DropFrame"   PeerPadName="In0"  /> </Node>
            <Node Name="DropFrame" Type="Plugin"      AlgoName="DropFrame"><Connect          PadName="Out0"  PeerNodeName="Node4"   PeerPadName="In0"  /> </Node>
            <Node Name="Node4" Type="Plugin"      AlgoName="SinkPlugin" PlaceholderType="Tail" ><Connect           PadName="In0"   PeerNodeName="DropFrame"   PeerPadName="Out0" /> </Node>
        </Pipeline>
        <Pipeline Name="StatIpp" FilterType="StatFilter">
            <Node Name="Node0" Type="Plugin"      AlgoName="SourcePlugin"><Connect         PadName="Out0"  PeerNodeName="Node1"   PeerPadName="In0" /></Node>
            <Node Name="Node1" Type="SubPipeline" AlgoName="NormalTiny"><Connect           PadName="Out0"  PeerNodeName="Node2"   PeerPadName="In0" /></Node>
            <Node Name="Node2" Type="Plugin"      AlgoName="SinkPlugin"><Connect           PadName="In0"   PeerNodeName="Node1"   PeerPadName="Out0" /></Node>
        </Pipeline>
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node Name="Node0"      Type="Plugin"       AlgoName="SourcePlugin"><Connect      PadName="Out0"    PeerNodeName="Node1"    PeerPadName="In0" /></Node>
            <Node Name="Node1"      Type="Plugin"       AlgoName="SinkPlugin" PlaceholderType="Tail"><Connect   PadName="In0"     PeerNodeName="Node0"    PeerPadName="Out0" /></Node>
        </Pipeline>
        <Pipeline Name="ForePp" FilterType="FPFilter">
            <Node Name="Node0"      Type="Plugin"       AlgoName="SourcePlugin"><Connect      PadName="Out0"    PeerNodeName="Node1"    PeerPadName="In0" /></Node>
            <Node Name="Node1"      Type="Plugin"       AlgoName="SinkPlugin" PlaceholderType="Tail"><Connect        PadName="In0"     PeerNodeName="Node0"    PeerPadName="Out0" /></Node>
        </Pipeline>
        <Pipeline Name="PreviewStablizationFilterIpp" FilterType="PreviewStabFilter">
            <Node Name="Node0"      Type="Plugin"       AlgoName="SourcePlugin"><Connect      PadName="Out0"    PeerNodeName="Node1"    PeerPadName="In0" /></Node>
            <Node Name="Node1"      Type="Plugin"       AlgoName="PreviewStablization"><Connect      PadName="Out0"    PeerNodeName="Node2"    PeerPadName="In0" /></Node>
            <Node Name="Node2"      Type="Plugin"       AlgoName="Distort"><Connect           PadName="Out0"    PeerNodeName="Node3"    PeerPadName="In0"  /> </Node>
            <Node Name="Node3"      Type="Plugin"       AlgoName="SinkPlugin"><Connect        PadName="In0"     PeerNodeName="Node2"    PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="frontHdrplite" RequestName="aiRawHdrplite" Base="normalmode">
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node Name="Node0"      Type="Plugin"       AlgoName="SourcePlugin"><Connect      PadName="Out0"    PeerNodeName="Node1"    PeerPadName="In0" /></Node>
            <Node Name="Node1"      Type="Plugin"       AlgoName="AiRawV2PpAlgo"><Connect   PadName="Out0"   PeerNodeName="Node2"    PeerPadName="In0" /></Node>
            <Node Name="Node2"      Type="Plugin"       AlgoName="SinkPlugin"  PlaceholderType="Tail" StreamType = "Raw2Yuv"><Connect        PadName="In0"     PeerNodeName="Node1"    PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="FrontHdrpliteStageCapture" RequestName="FrontHdrpliteStageCapture" Base="frontHdrplite">
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node Name="Source"           Type="Plugin"      AlgoName="SourcePlugin"><Connect         PadName="Out0"  PeerNodeName="IveeCollector" PeerPadName="In0" /></Node>
            <Node Name="IveeCollector"    Type="Plugin"      AlgoName="IveeCollectorPlugin"><Connect  PadName="Out0"  PeerNodeName="IveeSink"      PeerPadName="In0" /></Node>
            <Node Name="IveeSink"         Type="Plugin"      AlgoName="IveeSinkPlugin"><Connect       PadName="Out0"  PeerNodeName="RefPick"       PeerPadName="In0" /></Node>
            <Node Name="RefPick"          Type="Plugin"      AlgoName="RefPickPlugin"><Connect        PadName="Out0"  PeerNodeName="Raw2Yuv"       PeerPadName="In0" /></Node>
            <Node Name="Raw2Yuv"          Type="Plugin"      AlgoName="Raw2YuvPlugin"><Connect        PadName="Out0"  PeerNodeName="Face"          PeerPadName="In0" /></Node>
            <Node Name="Face"             Type="Plugin"      AlgoName="FaceSr"><Connect               PadName="Out0"  PeerNodeName="Sink"   PeerPadName="In0" /></Node>
            <Node Name="Sink"             Type="Plugin"      AlgoName="SinkPlugin" PlaceholderType="Tail" StreamType="Raw2Yuv"><Connect PadName="In0" PeerNodeName="Face" PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="FrontAiRawHdrp" RequestName="FrontAiRawHdrp" Base="normalmode">
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node Name="Node0"      Type="Plugin"       AlgoName="SourcePlugin"><Connect      PadName="Out0"    PeerNodeName="Node1"    PeerPadName="In0" /></Node>
            <Node Name="Node1"      Type="Plugin"       AlgoName="AiRawV2PpAlgo"><Connect   PadName="Out0"   PeerNodeName="Node2"    PeerPadName="In0" /></Node>
            <Node Name="Node2"      Type="Plugin"       AlgoName="SinkPlugin"  PlaceholderType="Tail" StreamType = "Raw2Yuv"><Connect        PadName="In0"     PeerNodeName="Node1"    PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="FrontAiRawHdrpStageCapture" RequestName="FrontAiRawHdrpStageCapture" Base="FrontHdrpliteStageCapture">
    </Feature>
    <Feature Name="fullzoomAiRawMode"  RequestName = "FullZoomAiRawDynamicZsl" Base="normalmode">
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node Name="Node0"      Type="Plugin"       AlgoName="SourcePlugin"><Connect      PadName="Out0"    PeerNodeName="Node1"    PeerPadName="In0" /></Node>
            <Node Name="Node1"      Type="Plugin"       AlgoName="AiRawV2PpAlgo"><Connect   PadName="Out0"   PeerNodeName="Node2"    PeerPadName="In0" /></Node>
            <Node Name="Node2"      Type="Plugin"       AlgoName="YUVEnhance"><Connect   PadName="Out0"   PeerNodeName="Node4"    PeerPadName="In0" /></Node>
            <Node Name="Node4"      Type="Plugin"       AlgoName="SinkPlugin" PlaceholderType="Tail" StreamType="Raw2Yuv"><Connect        PadName="In0"     PeerNodeName="Node2"    PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="fullzoomAiRawMoonMode" RequestName="FullZoomAiRawMoon" Base="fullzoomAiRawMode">
    </Feature>
    <Feature Name="fullzoomAiRawStageCapture" RequestName="FullZoomAiRawDynamicZslStageCapture" Base="fullzoomAiRawMode">
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node Name="Source" Type="Plugin" AlgoName="SourcePlugin"><Connect PadName="Out0" PeerNodeName="IveeCollector" PeerPadName="In0" /></Node>
            <Node Name="IveeCollector" Type="Plugin" AlgoName="IveeCollectorPlugin"><Connect PadName="Out0" PeerNodeName="IveeSink" PeerPadName="In0" /></Node>
            <Node Name="IveeSink" Type="Plugin" AlgoName="IveeSinkPlugin"><Connect PadName="Out0" PeerNodeName="RefPick" PeerPadName="In0" /></Node>
            <Node Name="RefPick" Type="Plugin" AlgoName="RefPickPlugin"><Connect PadName="Out0" PeerNodeName="Raw2Yuv" PeerPadName="In0" /></Node>
            <Node Name="Raw2Yuv" Type="Plugin" AlgoName="Raw2YuvPlugin"><Connect PadName="Out0" PeerNodeName="Sink" PeerPadName="In0" /></Node>
            <Node Name="Sink" Type="Plugin" AlgoName="SinkPlugin" PlaceholderType="Tail" StreamType="Raw2Yuv"><Connect PadName="In0" PeerNodeName="Raw2Yuv" PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="bestshotMode"  RequestName="bestshot" Base="normalmode">
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node       Name="Node0"      Type="Plugin"       AlgoName="SourcePlugin"><Connect         PadName="Out0"   PeerNodeName="Node1"    PeerPadName="In0" /></Node>
            <Node       Name="Node1"      Type="Plugin"       AlgoName="bestshot"><Connect             PadName="Out0"   PeerNodeName="Node2"    PeerPadName="In0" /></Node>
            <Node       Name="Node2"      Type="Plugin"       AlgoName="SinkPlugin" PlaceholderType="Tail" StreamType="Raw2Yuv"><Connect           PadName="In0"    PeerNodeName="Node1"    PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="VideoBase" RequestName="normalshot">
        <Pipeline Name="StatIpp" FilterType="StatFilter">
            <Node  Name="Source" Type="Plugin"      AlgoName="SourcePlugin"><Connect PadName="Out0"  PeerNodeName="Tiny"  PeerPadName="In0" /></Node>
            <Node  Name="Tiny"   Type="SubPipeline" AlgoName="NormalVideoTiny">  <Connect PadName="Out0"  PeerNodeName="Sink"  PeerPadName="In0" /></Node>
            <Node  Name="Sink"   Type="Plugin"      AlgoName="SinkPlugin">  <Connect PadName="In0"   PeerNodeName="Tiny"  PeerPadName="Out0" /></Node>
        </Pipeline>
        <Pipeline Name="ForePp" FilterType="FPFilter">
            <Node  Name="Source"   Type="Plugin" AlgoName="SourcePlugin">  <Connect PadName="Out0"  PeerNodeName="Sink0" PeerPadName="In0" /></Node>
            <Node  Name="Sink0"    Type="Plugin"  AlgoName="SinkPlugin"> <Connect  PadName="In0"  PeerNodeName="Source"   PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="NormalVideo" RequestName = "normalshot" Base = "VideoBase">
        <Pipeline Name="PostIpp" FilterType="PreviewFilter">
            <Node  Name="Source"     Type="Plugin" AlgoName="SourcePlugin">  <Connect PadName="Out0"  PeerNodeName="IPPEIS" PeerPadName="In0" /></Node>
            <Node  Name="IPPEIS"     Type="Plugin" AlgoName="SuperVideoStab"><Connect PadName="Out0" PeerNodeName="Node3"    PeerPadName="In0" /></Node>
            <Node Name="Node3"       Type="Plugin" AlgoName="AIPersonTracking"><Connect PadName="Out0" PeerNodeName="Maintain"   PeerPadName="In0"  /> </Node>
            <Node  Name="Maintain"   Type="Plugin" AlgoName="VideoMaintainIppAlgo"> <Connect PadName="Out0"  PeerNodeName="Sink"       PeerPadName="In0" /></Node>
            <Node  Name="Sink"       Type="Plugin" AlgoName="SinkPlugin" PlaceholderType="Tail" >    <Connect PadName="In0"   PeerNodeName="Maintain" PeerPadName="Out0" /></Node>
        </Pipeline>
        <Pipeline Name="PreviewVideoIpp" FilterType="PreviewVideoFilter">
            <Node  Name="Source"     Type="Plugin"  AlgoName="SourcePlugin">  <Connect PadName="Out0" PeerNodeName="IPPEIS" PeerPadName="In0" /></Node>
            <Node  Name="IPPEIS"   Type="Plugin" AlgoName="SuperVideoStab">  <Connect PadName="Out0"  PeerNodeName="DropFrame" PeerPadName="In0" /></Node>
            <Node  Name="DropFrame"   Type="Plugin" AlgoName="DropFrame">  <Connect PadName="Out0"  PeerNodeName="Sink" PeerPadName="In0" /></Node>
            <Node  Name="Sink"       Type="Plugin"  AlgoName="SinkPlugin"  StreamType = "Preview"><Connect PadName="In0"  PeerNodeName="DropFrame"  PeerPadName="Out0" /></Node>
        </Pipeline>
        <Pipeline Name="RecordVideoIpp" FilterType="RecordVideoFilter">
            <Node  Name="Source"     Type="Plugin"  AlgoName="SourcePlugin">  <Connect PadName="Out0" PeerNodeName="IPPEIS1" PeerPadName="In0" /></Node>
            <Node  Name="IPPEIS1"   Type="Plugin" AlgoName="SuperVideoStab">  <Connect PadName="Out0"  PeerNodeName="Maintain" PeerPadName="In0" /></Node>
            <Node  Name="Maintain"   Type="Plugin" AlgoName="VideoMaintainIppAlgo"> <Connect PadName="Out0"  PeerNodeName="DropFrame"       PeerPadName="In0" /></Node>
            <Node  Name="DropFrame"   Type="Plugin" AlgoName="DropFrame">  <Connect PadName="Out0"  PeerNodeName="Sink" PeerPadName="In0" /></Node>
            <Node  Name="Sink"       Type="Plugin"  AlgoName="SinkPlugin" StreamType = "Record">    <Connect  PadName="In0"  PeerNodeName="DropFrame"  PeerPadName="Out0" /></Node>
        </Pipeline>
        <Pipeline Name="PostPreVidFilterIpp" FilterType="PostPreviewVidFilter">
            <Node Name="Source"    Type="Plugin" AlgoName="SourcePlugin">       <Connect PadName="Out0" PeerNodeName="ColorEffect" PeerPadName="In0"  /></Node>
            <Node Name="ColorEffect"    Type="Plugin" AlgoName="ColorEffect">       <Connect PadName="Out0" PeerNodeName="Sink" PeerPadName="In0"  /></Node>
            <Node Name="Sink"      Type="Plugin" AlgoName="SinkPlugin">         <Connect PadName="In0"  PeerNodeName="ColorEffect" PeerPadName="Out0" /></Node>
        </Pipeline>
        <Pipeline Name="PostRecordVideoIpp" FilterType="PostRecordVidFilter">
            <Node Name="Source"    Type="Plugin" AlgoName="SourcePlugin">       <Connect PadName="Out0" PeerNodeName="Sink" PeerPadName="In0"  /></Node>
            <Node Name="Sink"      Type="Plugin" AlgoName="SinkPlugin">         <Connect PadName="In0"  PeerNodeName="Source" PeerPadName="Out0" /></Node>
        </Pipeline>
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node Name="Node0"      Type="Plugin"       AlgoName="SourcePlugin"><Connect      PadName="Out0"    PeerNodeName="Node3"    PeerPadName="In0" /></Node>
            <Node Name="Node3"      Type="Plugin"       AlgoName="SinkPlugin" PlaceholderType="Tail"><Connect        PadName="In0"     PeerNodeName="Node0"    PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="ApertureVideo" RequestName = "normalshot" Base="VideoBase">
        <Pipeline Name="PostIpp" FilterType="PreviewFilter">
            <Node  Name="Source"     Type="Plugin" AlgoName="SourcePlugin">     <Connect PadName="Out0"  PeerNodeName="VidEIS" PeerPadName="In0" /></Node>
            <Node  Name="VidEIS"     Type="Plugin" AlgoName="SuperVideoStab">  <Connect PadName="Out0"  PeerNodeName="Sink"       PeerPadName="In0" /></Node>
            <Node  Name="Sink"       Type="Plugin" AlgoName="SinkPlugin">       <Connect PadName="In0"   PeerNodeName="VidEIS"     PeerPadName="Out0" /></Node>
        </Pipeline>
        <Pipeline Name="PostPreVidFilterIpp" FilterType="PostPreviewVidFilter">
            <Node Name="Source"    Type="Plugin" AlgoName="SourcePlugin">     <Connect PadName="Out0" PeerNodeName="VideoBokeh" PeerPadName="In0"  /></Node>
            <Node Name="VideoBokeh" Type="Plugin" AlgoName="VideoBokehUltraAlgo"><Connect PadName="Out0"  PeerNodeName="Sink"     PeerPadName="In0" /></Node>
            <Node Name="Sink"      Type="Plugin" AlgoName="SinkPlugin">       <Connect PadName="In0"  PeerNodeName="VideoBokeh" PeerPadName="Out0" /></Node>
        </Pipeline>
        <Pipeline Name="DmapIpp" FilterType="DmapFilter">
            <Node  Name="Source"  Type="Plugin" AlgoName="SourcePlugin"> <Connect PadName="Out0"  PeerNodeName="ORB"  PeerPadName="In0" /></Node>
            <Node  Name="ORB"     Type="Plugin" AlgoName="DualRectifyVideoPlugin">   <Connect PadName="Out0"  PeerNodeName="Sink" PeerPadName="In0" /></Node>
            <Node  Name="Sink"    Type="Plugin" AlgoName="SinkPlugin">   <Connect PadName="In0"   PeerNodeName="ORB"  PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="BeautyVideo" RequestName = "beauty_rear_noneextisp" Base="VideoBase">
        <Pipeline Name="PostIpp" FilterType="PreviewFilter">
            <Node  Name="Source"  Type="Plugin" AlgoName="SourcePlugin">  <Connect PadName="Out0" PeerNodeName="VidEIS"  PeerPadName="In0" /></Node>
            <Node  Name="VidEIS"  Type="Plugin" AlgoName="SuperVideoStab"><Connect PadName="Out0" PeerNodeName="Beauty"    PeerPadName="In0" /></Node>
            <Node  Name="Beauty"    Type="Plugin" AlgoName="HwBeautyIpp">      <Connect PadName="Out0"   PeerNodeName="DropFrame" PeerPadName="In0" /></Node>
            <Node  Name="DropFrame"   Type="Plugin" AlgoName="DropFrame">  <Connect PadName="Out0"  PeerNodeName="Sink" PeerPadName="In0" /></Node>
            <Node  Name="Sink"    Type="Plugin" AlgoName="SinkPlugin"  PlaceholderType="Tail" >    <Connect PadName="In0"   PeerNodeName="DropFrame"  PeerPadName="Out0" /></Node>
        </Pipeline>
        <Pipeline Name="PostPreVidFilterIpp" FilterType="PostPreviewVidFilter">
            <Node Name="Source"    Type="Plugin" AlgoName="SourcePlugin">     <Connect PadName="Out0" PeerNodeName="Beauty" PeerPadName="In0"  /></Node>
            <Node Name="Beauty"    Type="Plugin" AlgoName="HwBeautyIpp">      <Connect PadName="Out0"   PeerNodeName="ColorEffect" PeerPadName="In0" /></Node>
            <Node Name="ColorEffect"    Type="Plugin" AlgoName="ColorEffect">       <Connect PadName="Out0" PeerNodeName="Sink" PeerPadName="In0"  /></Node>
            <Node Name="Sink"      Type="Plugin" AlgoName="SinkPlugin">       <Connect PadName="In0"  PeerNodeName="ColorEffect" PeerPadName="Out0" /></Node>
        </Pipeline>
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node Name="Node0"      Type="Plugin"       AlgoName="SourcePlugin"><Connect      PadName="Out0"    PeerNodeName="Node2"    PeerPadName="In0" /></Node>
            <Node Name="Node2"      Type="Plugin"       AlgoName="HwBeautyPpAlgo" PlaceholderType="Tail"><Connect     PadName="Out0"    PeerNodeName="DropFrame"    PeerPadName="In0" /></Node>
            <Node  Name="DropFrame"   Type="Plugin" AlgoName="DropFrame">  <Connect PadName="Out0"  PeerNodeName="Node3" PeerPadName="In0" /></Node>
            <Node Name="Node3"      Type="Plugin"       AlgoName="SinkPlugin" PlaceholderType="Tail"><Connect        PadName="In0"     PeerNodeName="DropFrame"    PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="ProfessionalVideo" RequestName = "normalshot" Base="NormalVideo">
    </Feature>
    <Feature Name="MovieVideo" RequestName = "normalshot" Base="VideoBase">
        <Pipeline Name="PostIpp" FilterType="PreviewFilter">
            <Node  Name="Source"  Type="Plugin" AlgoName="SourcePlugin">  <Connect PadName="Out0"  PeerNodeName="preEIS" PeerPadName="In0" /></Node>
            <Node  Name="preEIS"  Type="Plugin" AlgoName="SuperVideoStab"><Connect PadName="Out0"  PeerNodeName="Sink" PeerPadName="In0" /></Node>
            <Node  Name="Sink"    Type="Plugin"  AlgoName="SinkPlugin"  StreamType = "Preview">   <Connect  PadName="In0"   PeerNodeName="preEIS"  PeerPadName="Out0" /></Node>
        </Pipeline>
        <Pipeline Name="PostPreVidFilterIpp" FilterType="PostPreviewFilter">
            <Node  Name="Source"   Type="Plugin" AlgoName="SourcePlugin">  <Connect PadName="Out0"  PeerNodeName="Portrait" PeerPadName="In0" /></Node>
            <Node  Name="Portrait" Type="Plugin" AlgoName="MoviePortrait"> <Connect PadName="Out0"  PeerNodeName="Filter"   PeerPadName="In0" /></Node>
            <Node  Name="Filter"   Type="Plugin" AlgoName="MovieFilter">   <Connect PadName="Out0"  PeerNodeName="ColorRsv" PeerPadName="In0" /></Node>
            <Node  Name="ColorRsv" Type="Plugin" AlgoName="MovieColorRsv"> <Connect PadName="Out0"  PeerNodeName="Sink"     PeerPadName="In0" /></Node>
            <Node  Name="Sink"     Type="Plugin" AlgoName="SinkPlugin">    <Connect PadName="In0"   PeerNodeName="ColorRsv"  PeerPadName="Out0" /></Node>
        </Pipeline>
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node Name="Node0"      Type="Plugin"       AlgoName="SourcePlugin"><Connect      PadName="Out0"    PeerNodeName="Node3"    PeerPadName="In0" /></Node>
            <Node Name="Node3"      Type="Plugin"       AlgoName="SinkPlugin" PlaceholderType="Tail"><Connect        PadName="In0"     PeerNodeName="Node0"    PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="DualVideo" RequestName = "DualVideo" Base="VideoBase">
        <Pipeline Name="PostIpp" FilterType="PreviewFilter">
            <Node  Name="Source"     Type="Plugin"  AlgoName="SourcePlugin">  <Connect PadName="Out0" PeerNodeName="PreEIS" PeerPadName="In0" /></Node>
            <Node  Name="PreEIS"     Type="Plugin"  AlgoName="SuperVideoStab"><Connect PadName="Out0" PeerNodeName="Sink"   PeerPadName="In0" /></Node>
            <Node  Name="Sink"       Type="Plugin"  AlgoName="SinkPlugin" PlaceholderType="Tail" StreamType = "Preview"><Connect PadName="In0"  PeerNodeName="PreEIS"  PeerPadName="Out0" /></Node>
        </Pipeline>
        <Pipeline Name="PostPreVidFilterIpp" FilterType="PostPreviewVidFilter">
            <Node  Name="Source"    Type="Plugin"  AlgoName="SourcePlugin">  <Connect  PadName="Out0" PeerNodeName="Beauty" PeerPadName="In0" /></Node>
            <Node  Name="Beauty"    Type="Plugin"  AlgoName="HwBeautyIpp">  <Connect  PadName="Out0" PeerNodeName="Sink" PeerPadName="In0" /></Node>
            <Node  Name="Sink"      Type="Plugin"  AlgoName="SinkPlugin"  StreamType = "Preview">   <Connect  PadName="In0"  PeerNodeName="Beauty"  PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="SuperEisVideo" RequestName = "SuperEisVideo" Base="VideoBase">
        <Pipeline Name="PreviewVideoIpp" FilterType="PreviewVideoFilter">
            <Node  Name="Source"     Type="Plugin"  AlgoName="SourcePlugin"> <Connect   PadName="Out0"  PeerNodeName="PreEIS" PeerPadName="In0" /></Node>
            <Node  Name="PreEIS"     Type="Plugin"  AlgoName="SuperVideoStab"><Connect PadName="Out0"   PeerNodeName="Sink"  PeerPadName="In0" /></Node>
            <Node  Name="Sink"       Type="Plugin"  AlgoName="SinkPlugin" StreamType = "Preview">   <Connect   PadName="In0"   PeerNodeName="PreEIS"  PeerPadName="Out0" /></Node>
        </Pipeline>
        <Pipeline Name="RecordVideoIpp" FilterType="RecordVideoFilter">
            <Node  Name="Source"     Type="Plugin"  AlgoName="SourcePlugin">  <Connect  PadName="Out0" PeerNodeName="RecEIS" PeerPadName="In0" /></Node>
            <Node  Name="RecEIS"     Type="Plugin"  AlgoName="SuperVideoStab"><Connect PadName="Out0" PeerNodeName="Sink"  PeerPadName="In0" /></Node>
            <Node  Name="Sink"       Type="Plugin"  AlgoName="SinkPlugin" StreamType = "Record">    <Connect  PadName="In0"  PeerNodeName="RecEIS"  PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="TimeLapseNormal" RequestName = "normalshot" Base="normalmode">
        <Pipeline Name="PostIpp" FilterType="PreviewFilter">
            <Node  Name="Source" Type="Plugin"  AlgoName="SourcePlugin">  <Connect PadName="Out0" PeerNodeName="TryAE" PeerPadName="In0" /></Node>
            <Node  Name="TryAE"  Type="Plugin"  AlgoName="TimeLapseTryAE"><Connect PadName="Out0" PeerNodeName="DropFrame"  PeerPadName="In0" /></Node>
            <Node  Name="DropFrame"   Type="Plugin" AlgoName="DropFrame">  <Connect PadName="Out0"  PeerNodeName="Sink" PeerPadName="In0" /></Node>
            <Node  Name="Sink"   Type="Plugin"  AlgoName="SinkPlugin" PlaceholderType="Tail">    <Connect PadName="In0"  PeerNodeName="DropFrame" PeerPadName="Out0" /></Node>
        </Pipeline>
        <Pipeline Name="WaterMarkFilterIpp" FilterType="WaterMarkFilter">
            <Node  Name="Source"    Type="Plugin" AlgoName="SourcePlugin">      <Connect PadName="Out0" PeerNodeName="WaterMark" PeerPadName="In0" /></Node>
            <Node  Name="WaterMark" Type="Plugin" AlgoName="WatermarkFilterIpp"><Connect PadName="Out0" PeerNodeName="Sink"      PeerPadName="In0" /></Node>
            <Node  Name="Sink"      Type="Plugin" AlgoName="SinkPlugin">        <Connect PadName="In0"  PeerNodeName="WaterMark" PeerPadName="Out0" /></Node>
        </Pipeline>
        <Pipeline Name="ForePp" FilterType="FPFilter">
            <Node  Name="Source" Type="Plugin"  AlgoName="SourcePlugin">  <Connect PadName="Out0" PeerNodeName="timelaspe" PeerPadName="In0" /></Node>
            <Node  Name="timelaspe"  Type="Plugin"  AlgoName="TimeLapse"> <Connect PadName="Out0" PeerNodeName="Sink"  PeerPadName="In0" /></Node>
            <Node  Name="Sink"   Type="Plugin"  AlgoName="SinkPlugin" PlaceholderType="Tail" StreamType = "Callback">    <Connect PadName="In0"  PeerNodeName="timelaspe" PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="BShutterRaw" RequestName="BShutterRaw" Base="normalmode">
        <Pipeline Name="PostIpp" FilterType="PreviewFilter">
            <Node Name="Node0" Type="Plugin"      AlgoName="SourcePlugin"><Connect         PadName="Out0"  PeerNodeName="Node1"   PeerPadName="In0" /></Node>
            <Node Name="Node1" Type="Plugin"      AlgoName="Misc"><Connect                PadName="Out0"  PeerNodeName="Node2"   PeerPadName="In0" /></Node>
            <Node Name="Node2" Type="Plugin"      AlgoName="SmartAE"><Connect              PadName="Out0"  PeerNodeName="Node3"   PeerPadName="In0" /></Node>
            <Node Name="Node3" Type="Plugin"      AlgoName="SuperNightTryAE"><Connect        PadName="Out0"  PeerNodeName="Node4"   PeerPadName="In0" /></Node>
            <Node Name="Node4" Type="Plugin"      AlgoName="SinkPlugin" PlaceholderType="Tail"><Connect           PadName="In0"   PeerNodeName="Node3"   PeerPadName="Out0" /></Node>
        </Pipeline>
        <Pipeline Name="ForePp" FilterType="FPFilter">
            <Node       Name="Source"     Type="Plugin"      AlgoName="SourcePlugin"><Connect      PadName="Out0"    PeerNodeName="RawBshutter"    PeerPadName="In0" /></Node>
            <!-- <Node       Name="Copy"       Type="Plugin"       AlgoName="CopyPlugin"> <Connect      PadName="Out0"    PeerNodeName="RawBshutter"  PeerPadName="In0" /></Node>--> -->
            <Node       Name="RawBshutter"      Type="Plugin"       AlgoName="SupernightPpalgo"><Connect       PadName="Out0"    PeerNodeName="Selector"    PeerPadName="In0" /></Node>		
            <Node       Name="Selector"      Type="Plugin"       AlgoName="SelectorPlugin"><Connect   PadName="Out0"    PeerNodeName="FrequencyConverter"    PeerPadName="In0" />
                                                                                            <!-- <Connect   PadName="Out1"    PeerNodeName="Sink1"    PeerPadName="In0" /></Node> -->
                                                                                            <Connect   PadName="Out1"    PeerNodeName="Sr"    PeerPadName="In0" /></Node>
            <Node       Name="FrequencyConverter"      Type="Plugin"       AlgoName="supernightFC"><Connect                       PadName="Out0"    PeerNodeName="Sink"    PeerPadName="In0" /></Node>
            <Node       Name="Sr"      Type="Plugin"       AlgoName="sr" PlaceholderType="Tail"><Connect         PadName="Out0"    PeerNodeName="Sink1"    PeerPadName="In0" /></Node>
            <Node       Name="Sink1"      Type="Plugin"       AlgoName="SinkPlugin" StreamType = "Raw2Yuv"><Connect       PadName="In0"     PeerNodeName="Sr"    PeerPadName="Out0" /></Node>
            <Node       Name="Sink"      Type="Plugin"       AlgoName="SinkPlugin" StreamType = "Preview"><Connect       PadName="In0"     PeerNodeName="FrequencyConverter"    PeerPadName="Out0" /></Node>
            <!-- <Node       Name="Sink1"      Type="Plugin"       AlgoName="SinkPlugin" StreamType = "Raw2Yuv"><Connect       PadName="In0"     PeerNodeName="SelectorPlugin"    PeerPadName="Out0" /></Node> -->
        </Pipeline>
    </Feature>
    <Feature Name="BShutter" RequestName="BShutter" Base="normalmode">
        <Pipeline Name="PostIpp" FilterType="PreviewFilter">
            <Node Name="Node0" Type="Plugin" AlgoName="SourcePlugin"><Connect  PadName="Out0" PeerNodeName="Node1" PeerPadName="In0" /></Node>
            <Node Name="Node1" Type="Plugin" AlgoName="BShutterTryAE"><Connect PadName="Out0" PeerNodeName="Node2" PeerPadName="In0" /></Node>
            <Node Name="Node2" Type="Plugin" AlgoName="SinkPlugin" PlaceholderType="Tail"><Connect PadName="In0" PeerNodeName="Node1" PeerPadName="Out0" /></Node>
        </Pipeline>
        <Pipeline Name="ForePp" FilterType="FPFilter">
            <Node Name="Source" Type="Plugin" AlgoName="SourcePlugin"><Connect PadName="Out0" PeerNodeName="Bshutter" PeerPadName="In0"/></Node>
            <Node Name="Bshutter" Type="Plugin" AlgoName="pp_bshutter"><Connect PadName="Out0" PeerNodeName="Sink" PeerPadName="In0"/></Node>
            <Node Name="Sink" Type="Plugin" AlgoName="SinkPlugin" PlaceholderType="Tail" StreamType = "Raw2Yuv"> <Connect PadName="In0" PeerNodeName="Bshutter" PeerPadName="Out0"/></Node>
        </Pipeline>
    </Feature>
    <Feature Name="SmartTracking" RequestName = "normalshot" Base="VideoBase">
        <Pipeline Name="PostIpp" FilterType="PreviewFilter">
            <Node  Name="Source"   Type="Plugin" AlgoName="SourcePlugin">  <Connect PadName="Out0"  PeerNodeName="VidEIS" PeerPadName="In0" /></Node>
            <Node  Name="VidEIS"   Type="Plugin" AlgoName="SuperVideoStab"><Connect PadName="Out0" PeerNodeName="Tracking"     PeerPadName="In0" /></Node>
            <Node  Name="Tracking" Type="Plugin" AlgoName="SmartTracking"> <Connect PadName="Out0"  PeerNodeName="Sink"   PeerPadName="In0" /></Node>
            <Node  Name="Sink"     Type="Plugin" AlgoName="SinkPlugin">    <Connect PadName="In0"   PeerNodeName="Tracking"   PeerPadName="Out0" /></Node>
        </Pipeline>
        <Pipeline Name="PostVidFilterIpp" FilterType="PostRecordVidFilter">
            <Node  Name="Source"     Type="Plugin" AlgoName="SourcePlugin">      <Connect PadName="Out0"  PeerNodeName="Portrait" PeerPadName="In0" /></Node>
            <Node  Name="Portrait" Type="Plugin" AlgoName="MoviePortrait">       <Connect PadName="Out0"  PeerNodeName="Filter"   PeerPadName="In0" /></Node>
            <Node  Name="Filter"   Type="Plugin" AlgoName="MovieFilter">         <Connect PadName="Out0"  PeerNodeName="ColorRsv" PeerPadName="In0" /></Node>
            <Node  Name="ColorRsv" Type="Plugin" AlgoName="MovieColorRsv">       <Connect PadName="Out0"  PeerNodeName="ColorEffect"   PeerPadName="In0" /></Node>
            <Node  Name="ColorEffect" Type="Plugin" AlgoName="ColorEffect">       <Connect PadName="Out0"  PeerNodeName="Maintain"   PeerPadName="In0" /></Node>
            <Node  Name="Maintain" Type="Plugin" AlgoName="VideoMaintainIppAlgo"> <Connect PadName="Out0"  PeerNodeName="Sink"       PeerPadName="In0" /></Node>
            <Node  Name="Sink"       Type="Plugin" AlgoName="SinkPlugin">        <Connect PadName="In0"   PeerNodeName="Maintain"   PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="StoryMode" RequestName = "normalshot" Base="VideoBase">
        <Pipeline Name="PostIpp" FilterType="PreviewFilter">
            <Node  Name="Source"   Type="Plugin" AlgoName="SourcePlugin">  <Connect PadName="Out0"  PeerNodeName="VidEIS" PeerPadName="In0" /></Node>
            <Node  Name="VidEIS"   Type="Plugin" AlgoName="SuperVideoStab"><Connect PadName="Out0" PeerNodeName="Tracking"     PeerPadName="In0" /></Node>
            <Node  Name="Tracking" Type="Plugin" AlgoName="SmartTracking"> <Connect PadName="Out0"  PeerNodeName="Sink"   PeerPadName="In0" /></Node>
            <Node  Name="Sink"     Type="Plugin" AlgoName="SinkPlugin">    <Connect PadName="In0"   PeerNodeName="Tracking"   PeerPadName="Out0" /></Node>
        </Pipeline>
        <Pipeline Name="PostVidFilterIpp" FilterType="PostRecordVidFilter">
            <Node  Name="Source"     Type="Plugin" AlgoName="SourcePlugin">      <Connect PadName="Out0"  PeerNodeName="Rotation" PeerPadName="In0" /></Node>
            <Node  Name="Rotation" Type="Plugin" AlgoName="SmartRotate">         <Connect PadName="Out0"  PeerNodeName="Maintain"       PeerPadName="In0" /></Node>
            <Node  Name="Maintain" Type="Plugin" AlgoName="VideoMaintainIppAlgo"> <Connect PadName="Out0"  PeerNodeName="Sink"       PeerPadName="In0" /></Node>
            <Node  Name="Sink"       Type="Plugin" AlgoName="SinkPlugin">        <Connect PadName="In0"   PeerNodeName="Maintain"   PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="SlowMotion" RequestName = "normalshot" Base="VideoBase">
        <Pipeline Name="PostIpp" FilterType="PreviewFilter">
            <Node  Name="Source"   Type="Plugin"  AlgoName="SourcePlugin"><Connect       PadName="Out0"  PeerNodeName="Checking" PeerPadName="In0" /></Node>
            <Node  Name="Checking" Type="Plugin"  AlgoName="SlowMotionChecking"><Connect PadName="Out0"  PeerNodeName="DropFrame"     PeerPadName="In0" /></Node>
            <Node  Name="DropFrame" Type="Plugin"      AlgoName="DropFrame"><Connect          PadName="Out0"  PeerNodeName="Sink"   PeerPadName="In0"  /> </Node>
            <Node  Name="Sink"     Type="Plugin"  AlgoName="SinkPlugin">  <Connect       PadName="In0"   PeerNodeName="DropFrame" PeerPadName="Out0" /></Node>
        </Pipeline>
        <Pipeline Name="RecordVideoIpp" FilterType="RecordVideoFilter">
            <Node  Name="Source"  Type="Plugin"  AlgoName="SourcePlugin"> <Connect  PadName="Out0"  PeerNodeName="FRC"  PeerPadName="In0" /></Node>
            <Node  Name="FRC"     Type="Plugin"  AlgoName="SlowMotionFRC"><Connect  PadName="Out0"  PeerNodeName="Sink" PeerPadName="In0" /></Node>
            <Node  Name="Sink"    Type="Plugin"  AlgoName="SinkPlugin" StreamType="Record">   <Connect  PadName="In0"   PeerNodeName="FRC"  PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
<!--Rear big aperture sceneMode begin-->
    <Feature Name="bigApertureMode" RequestName="edof" Base="normalmode">
        <Pipeline Name="PostIpp" FilterType="PreviewFilter">
            <Node       Name="Node0"      Type="Plugin"      AlgoName="SourcePlugin"><Connect    PadName="Out0"  PeerNodeName="Node1"    PeerPadName="In0" /></Node>
            <Node       Name="Node1"      Type="Plugin"      AlgoName="VideoBokehDmapAlgo"><Connect     PadName="Out0"  PeerNodeName="DropFrame"    PeerPadName="In0" /></Node>
            <Node       Name="DropFrame" Type="Plugin"      AlgoName="DropFrame"><Connect          PadName="Out0"  PeerNodeName="Node2"   PeerPadName="In0"  /> </Node>
            <Node       Name="Node2"      Type="Plugin"      AlgoName="SinkPlugin" PlaceholderType="Tail" StreamType="Preview"><Connect      PadName="In0"   PeerNodeName="DropFrame"    PeerPadName="Out0" /></Node>
        </Pipeline>
        <Pipeline Name="DmapIpp" FilterType="DmapFilter">
            <Node Name="Node0" Type="Plugin"      AlgoName="SourcePlugin"><Connect          PadName="Out0"  PeerNodeName="Node2"   PeerPadName="In0" /></Node>
            <Node Name="Node2" Type="Plugin"      AlgoName="SinkPlugin"><Connect            PadName="In0"   PeerNodeName="Node0"   PeerPadName="Out0" /></Node>
        </Pipeline>
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node       Name="Node0"      Type="Plugin"       AlgoName="SourcePlugin"><Connect   PadName="Out0"   PeerNodeName="Node1"    PeerPadName="In0" /></Node>
            <Node       Name="Node1"      Type="Plugin"       AlgoName="refocus"><Connect        PadName="Out0"   PeerNodeName="Node2"    PeerPadName="In0" /></Node>
            <Node       Name="Node2"      Type="Plugin"       AlgoName="SinkPlugin" PlaceholderType="Tail"  StreamType = "Raw2Yuv"><Connect     PadName="In0"    PeerNodeName="Node1"    PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="aiRawHdrpBokehMode" RequestName="aiRawHdrpBokeh" Base="bigApertureMode">
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node       Name="Node0"      Type="Plugin"       AlgoName="SourcePlugin"><Connect      PadName="Out0"    PeerNodeName="Node1"    PeerPadName="In0" /></Node>
            <Node       Name="Node1"      Type="Plugin"       AlgoName="AiRawV2PpAlgo"><Connect     PadName="Out0"    PeerNodeName="Node2"    PeerPadName="In0" /></Node>
            <Node       Name="Node2"      Type="Plugin"       AlgoName="dualdepth"><Connect     PadName="Out0"    PeerNodeName="Node3"    PeerPadName="In0" /></Node>
            <Node       Name="Node3"      Type="Plugin"       AlgoName="refocus"><Connect     PadName="Out0"    PeerNodeName="Node4"    PeerPadName="In0" /></Node>
            <Node       Name="Node4"      Type="Plugin"       AlgoName="SinkPlugin" PlaceholderType="Tail"  StreamType = "Raw2Yuv"><Connect        PadName="In0"     PeerNodeName="Node3"    PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="fullzoomAiRawBokehMode" RequestName="fullzoomAiRawBokeh" Base="aiRawHdrpBokehMode">
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node       Name="Node0"      Type="Plugin"       AlgoName="SourcePlugin"><Connect      PadName="Out0"    PeerNodeName="Node1"    PeerPadName="In0" /></Node>
            <Node       Name="Node1"      Type="Plugin"       AlgoName="AiRawV2PpAlgo"><Connect     PadName="Out0"    PeerNodeName="Node2"    PeerPadName="In0" /></Node>
            <Node       Name="Node2"      Type="Plugin"       AlgoName="FaceSr"><Connect          PadName="Out0"   PeerNodeName="Node3"    PeerPadName="In0" /></Node>
            <Node       Name="Node3"      Type="Plugin"       AlgoName="dualdepth"><Connect     PadName="Out0"    PeerNodeName="Node4"    PeerPadName="In0" /></Node>
            <Node       Name="Node4"      Type="Plugin"       AlgoName="refocus"><Connect     PadName="Out0"    PeerNodeName="Node5"    PeerPadName="In0" /></Node>
            <Node       Name="Node5"      Type="Plugin"       AlgoName="SinkPlugin" PlaceholderType="Tail" StreamType = "Raw2Yuv"><Connect        PadName="In0"     PeerNodeName="Node4"    PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="fullzoomAiRawBokehStageCapture" RequestName="fullzoomAiRawBokehStageCapture" Base="fullzoomAiRawBokehMode">
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node Name="Source"           Type="Plugin"      AlgoName="SourcePlugin"><Connect         PadName="Out0"  PeerNodeName="IveeCollector" PeerPadName="In0" /></Node>
            <Node Name="IveeCollector"    Type="Plugin"      AlgoName="IveeCollectorPlugin"><Connect  PadName="Out0"  PeerNodeName="IveeSink"      PeerPadName="In0" /></Node>
            <Node Name="IveeSink"         Type="Plugin"      AlgoName="IveeSinkPlugin"><Connect       PadName="Out0"  PeerNodeName="RefPick"       PeerPadName="In0" /></Node>
            <Node Name="RefPick"          Type="Plugin"      AlgoName="RefPickPlugin"><Connect        PadName="Out0"  PeerNodeName="Raw2Yuv"       PeerPadName="In0" /></Node>
            <Node Name="Raw2Yuv"          Type="Plugin"      AlgoName="Raw2YuvPlugin"><Connect        PadName="Out0"  PeerNodeName="Sink"          PeerPadName="In0" /></Node>
            <Node Name="Sink"             Type="Plugin"      AlgoName="SinkPlugin" PlaceholderType="Tail" StreamType="Raw2Yuv"><Connect PadName="In0" PeerNodeName="Raw2Yuv" PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="bigApertureZoomNotBokeh" RequestName="fullzoomAiRaw" Base="bigApertureMode">
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node       Name="Node0"      Type="Plugin"       AlgoName="SourcePlugin"><Connect    PadName="Out0"   PeerNodeName="Node1"    PeerPadName="In0" /></Node>
            <Node       Name="Node1"      Type="Plugin"       AlgoName="AiRawV2PpAlgo"><Connect   PadName="Out0"   PeerNodeName="Node2"    PeerPadName="In0" /></Node>
            <Node       Name="Node2"      Type="Plugin"       AlgoName="AISrPpAlgo"><Connect      PadName="Out0"   PeerNodeName="Node3"    PeerPadName="In0" /></Node>
            <Node       Name="Node3"      Type="Plugin"       AlgoName="faceModel"><Connect       PadName="Out0"   PeerNodeName="Node4"    PeerPadName="In0" /></Node>
            <Node       Name="Node4"      Type="Plugin"       AlgoName="FaceSr"><Connect          PadName="Out0"   PeerNodeName="Node5"    PeerPadName="In0" /></Node>
            <Node       Name="Node5"      Type="Plugin"       AlgoName="SinkPlugin" PlaceholderType="Tail" StreamType = "Raw2Yuv"><Connect      PadName="In0"    PeerNodeName="Node4"    PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="bigApertureZoomNotBokehStageCapture" RequestName="bigApertureZoomNotBokehStageCapture" Base="bigApertureZoomNotBokeh">
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node Name="Source"           Type="Plugin"      AlgoName="SourcePlugin"><Connect         PadName="Out0"  PeerNodeName="IveeCollector" PeerPadName="In0" /></Node>
            <Node Name="IveeCollector"    Type="Plugin"      AlgoName="IveeCollectorPlugin"><Connect  PadName="Out0"  PeerNodeName="IveeSink"      PeerPadName="In0" /></Node>
            <Node Name="IveeSink"         Type="Plugin"      AlgoName="IveeSinkPlugin"><Connect       PadName="Out0"  PeerNodeName="RefPick"       PeerPadName="In0" /></Node>
            <Node Name="RefPick"          Type="Plugin"      AlgoName="RefPickPlugin"><Connect        PadName="Out0"  PeerNodeName="Raw2Yuv"       PeerPadName="In0" /></Node>
            <Node Name="Raw2Yuv"          Type="Plugin"      AlgoName="Raw2YuvPlugin"><Connect        PadName="Out0"  PeerNodeName="Sink"          PeerPadName="In0" /></Node>
            <Node Name="Sink"             Type="Plugin"      AlgoName="SinkPlugin" PlaceholderType="Tail" StreamType="Raw2Yuv"><Connect PadName="In0" PeerNodeName="Raw2Yuv" PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
<!--Rear big aperture sceneMode end-->
<!--Rear portrait sceneMode begin-->
    <Feature Name="RearCaptureEscapeMode" RequestName = "normalshot" Base="normalmode">
    </Feature>
    <Feature Name="HdrDisplayNormalMode" RequestName = "normalshot" Base="normalmode">
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node Name="Node0"      Type="Plugin"       AlgoName="SourcePlugin"><Connect      PadName="Out0"    PeerNodeName="Node1"    PeerPadName="In0" /></Node>
            <Node Name="Node1"      Type="Plugin"       AlgoName="HdrDisplayPlugin"><Connect      PadName="Out0"    PeerNodeName="Node2"    PeerPadName="In0" /></Node>
            <Node Name="Node2"      Type="Plugin"       AlgoName="SinkPlugin" PlaceholderType="Tail"><Connect   PadName="In0"     PeerNodeName="Node1"    PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="aiRawHdrpLitePortrait" RequestName = "aiRawHdrpLitePortrait" Base="bigApertureMode">
        <Pipeline Name="PostIpp" FilterType="PreviewFilter">
            <Node       Name="Node0"      Type="Plugin"      AlgoName="SourcePlugin"><Connect      PadName="Out0"  PeerNodeName="Node1"    PeerPadName="In0" /></Node>
            <Node       Name="Node1"      Type="Plugin"      AlgoName="VideoBokehDmapAlgo"><Connect PadName="Out0"  PeerNodeName="Node2"    PeerPadName="In0" /></Node>
            <Node       Name="Node2"      Type="Plugin"      AlgoName="HwBeautyIpp"><Connect       PadName="Out0"  PeerNodeName="DropFrame"    PeerPadName="In0" /></Node>
            <Node       Name="DropFrame"  Type="Plugin"      AlgoName="DropFrame"><Connect          PadName="Out0"  PeerNodeName="Node3"   PeerPadName="In0"  /> </Node>
            <Node       Name="Node3"      Type="Plugin"      AlgoName="SinkPlugin" PlaceholderType="Tail" StreamType="Preview"><Connect        PadName="In0"   PeerNodeName="DropFrame"    PeerPadName="Out0" /></Node>
        </Pipeline>
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node       Name="Node0"      Type="Plugin"       AlgoName="SourcePlugin"><Connect      PadName="Out0"   PeerNodeName="Node1"    PeerPadName="In0" /></Node>
            <Node       Name="Node1"      Type="Plugin"       AlgoName="AiRawV2PpAlgo"><Connect     PadName="Out0"   PeerNodeName="Node2" PeerPadName="In0" /></Node>
            <Node       Name="Node2"      Type="Plugin"       AlgoName="YUVEnhance"><Connect      PadName="Out0"   PeerNodeName="DualDepth"    PeerPadName="In0" /></Node>
            <Node       Name="DualDepth"  Type="Plugin"       AlgoName="dualdepth"><Connect         PadName="Out0"   PeerNodeName="Node4"    PeerPadName="In0" /></Node>
            <Node       Name="Node4"      Type="Plugin"       AlgoName="HwBeautyPpAlgo"><Connect    PadName="Out0"   PeerNodeName="Node5"    PeerPadName="In0" /></Node>
            <Node       Name="Node5"      Type="Plugin"       AlgoName="refocus"><Connect           PadName="Out0"   PeerNodeName="Node6"    PeerPadName="In0" /></Node>
            <Node       Name="Node6"      Type="Plugin"       AlgoName="SinkPlugin" PlaceholderType="Tail"  StreamType = "Raw2Yuv"><Connect        PadName="In0"    PeerNodeName="Node5"    PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="fullzoomAiRawPortrait" RequestName = "fullzoomAiRawPortrait" Base="aiRawHdrpLitePortrait">
    </Feature>
    <Feature Name="fullzoomAiRawPortraitStageCapture" RequestName = "fullzoomAiRawPortraitStageCapture" Base="aiRawHdrpLitePortrait">
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node Name="Source"           Type="Plugin"      AlgoName="SourcePlugin"><Connect         PadName="Out0"  PeerNodeName="IveeCollector" PeerPadName="In0" /></Node>
            <Node Name="IveeCollector"    Type="Plugin"      AlgoName="IveeCollectorPlugin"><Connect  PadName="Out0"  PeerNodeName="IveeSink"      PeerPadName="In0" /></Node>
            <Node Name="IveeSink"         Type="Plugin"      AlgoName="IveeSinkPlugin"><Connect       PadName="Out0"  PeerNodeName="RefPick"       PeerPadName="In0" /></Node>
            <Node Name="RefPick"          Type="Plugin"      AlgoName="RefPickPlugin"><Connect        PadName="Out0"  PeerNodeName="Raw2Yuv"       PeerPadName="In0" /></Node>
            <Node Name="Raw2Yuv"          Type="Plugin"      AlgoName="Raw2YuvPlugin"><Connect        PadName="Out0"  PeerNodeName="Bokehmask"      PeerPadName="In0" /></Node>
            <Node Name="Bokehmask"        Type="Plugin"      AlgoName="frontbokehmask"><Connect       PadName="Out0"  PeerNodeName="Bokeh"         PeerPadName="In0"  /></Node>
            <Node Name="Bokeh"            Type="Plugin"      AlgoName="frontbokeh"><Connect           PadName="Out0"  PeerNodeName="Sink"   PeerPadName="In0"  /></Node>
            <Node Name="Sink"             Type="Plugin"      AlgoName="SinkPlugin" PlaceholderType="Tail" StreamType="Raw2Yuv"><Connect PadName="In0" PeerNodeName="Bokeh" PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="fullzoomAiRawPortraitStageCaptureEscape" RequestName = "fullzoomAiRawPortraitStageCaptureEscape" Base="aiRawHdrpLitePortrait">
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node Name="Source"           Type="Plugin"      AlgoName="SourcePlugin"><Connect         PadName="Out0"  PeerNodeName="IveeCollector" PeerPadName="In0" /></Node>
            <Node Name="IveeCollector"    Type="Plugin"      AlgoName="IveeCollectorPlugin"><Connect  PadName="Out0"  PeerNodeName="IveeSink"      PeerPadName="In0" /></Node>
            <Node Name="IveeSink"         Type="Plugin"      AlgoName="IveeSinkPlugin"><Connect       PadName="Out0"  PeerNodeName="RefPick"       PeerPadName="In0" /></Node>
            <Node Name="RefPick"          Type="Plugin"      AlgoName="RefPickPlugin"><Connect        PadName="Out0"  PeerNodeName="Raw2Yuv"       PeerPadName="In0" /></Node>
            <Node Name="Raw2Yuv"          Type="Plugin"      AlgoName="Raw2YuvPlugin"><Connect        PadName="Out0"  PeerNodeName="Sink"      PeerPadName="In0" /></Node>
            <Node Name="Sink"             Type="Plugin"      AlgoName="SinkPlugin" PlaceholderType="Tail" StreamType="Raw2Yuv"><Connect PadName="In0" PeerNodeName="Raw2Yuv" PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="fairlightbase" RequestName = "normalshot" Base="normalmode">
        <Pipeline Name="PostIpp" FilterType="PreviewFilter">
            <Node       Name="Node0"      Type="Plugin"      AlgoName="SourcePlugin"><Connect    PadName="Out0"  PeerNodeName="Node1"    PeerPadName="In0" /></Node>
            <Node       Name="Node1"      Type="Plugin"      AlgoName="HwBeautyIpp"><Connect     PadName="Out0"  PeerNodeName="Node2"    PeerPadName="In0" /></Node>
            <Node       Name="Node2"      Type="Plugin"      AlgoName="FairLightIpp"><Connect    PadName="Out0"  PeerNodeName="Node3"    PeerPadName="In0" /></Node>
            <Node       Name="Node3"      Type="Plugin"      AlgoName="SinkPlugin" PlaceholderType="Tail"><Connect      PadName="In0"   PeerNodeName="Node2"    PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="fairlightrear" RequestName = "fairlight_rear" Base="fairlightbase">
        <Pipeline Name="PostIpp" FilterType="PreviewFilter">
            <Node       Name="Node0"      Type="Plugin"      AlgoName="SourcePlugin"><Connect    PadName="Out0"  PeerNodeName="Node1"    PeerPadName="In0" /></Node>
            <Node       Name="Node1"      Type="Plugin"      AlgoName="HwBeautyIpp"><Connect     PadName="Out0"  PeerNodeName="Node2"    PeerPadName="In0" /></Node>
            <Node       Name="Node2"      Type="Plugin"      AlgoName="FairLightIpp"><Connect    PadName="Out0"  PeerNodeName="Node3"    PeerPadName="In0" /></Node>
            <Node       Name="Node3"      Type="Plugin"      AlgoName="SinkPlugin" PlaceholderType="Tail"><Connect      PadName="In0"   PeerNodeName="Node2"    PeerPadName="Out0" /></Node>
        </Pipeline>
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node       Name="Node0"      Type="Plugin"       AlgoName="SourcePlugin"><Connect        PadName="Out0"   PeerNodeName="Node1"    PeerPadName="In0" /></Node>
            <Node       Name="Node1"      Type="Plugin"       AlgoName="faceModel"><Connect           PadName="Out0"   PeerNodeName="Node2"    PeerPadName="In0" /></Node>
            <Node       Name="Node2"      Type="Plugin"       AlgoName="HwBeautyPpAlgo"><Connect      PadName="Out0"   PeerNodeName="Node3"    PeerPadName="In0" /></Node>
            <Node       Name="Node3"      Type="Plugin"       AlgoName="fairlightV2"><Connect         PadName="Out0"   PeerNodeName="Node4"    PeerPadName="In0" /></Node>
            <Node       Name="Node4"      Type="Plugin"       AlgoName="SinkPlugin" PlaceholderType="Tail"><Connect          PadName="In0"    PeerNodeName="Node3"    PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="rawhdrAiRaw" RequestName="aiRawHdrp" Base="normalmode">
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node       Name="Node0"      Type="Plugin"       AlgoName="SourcePlugin"><Connect      PadName="Out0"    PeerNodeName="Node1"    PeerPadName="In0" /></Node>
            <Node       Name="Node1"      Type="Plugin"       AlgoName="AiRawV2PpAlgo"><Connect     PadName="Out0"    PeerNodeName="Node2"    PeerPadName="In0" /></Node>
            <Node       Name="Node2"      Type="Plugin"       AlgoName="faceModel"><Connect       PadName="Out0"   PeerNodeName="Node3"    PeerPadName="In0" /></Node>
            <Node       Name="Node3"      Type="Plugin"       AlgoName="YUVEnhance"><Connect      PadName="Out0"   PeerNodeName="Node4"    PeerPadName="In0" /></Node>
            <Node       Name="Node4"      Type="Plugin"       AlgoName="SinkPlugin" PlaceholderType="Tail"  StreamType = "Raw2Yuv"><Connect        PadName="In0"     PeerNodeName="Node3"    PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="FairlightFullzoomAiRaw"  RequestName = "FairlightFullzoomAiRaw" Base="rawhdrAiRaw">
        <Pipeline Name="PostIpp" FilterType="PreviewFilter">
            <Node       Name="Node0"      Type="Plugin"      AlgoName="SourcePlugin"><Connect    PadName="Out0"  PeerNodeName="Node1"    PeerPadName="In0" /></Node>
            <Node       Name="Node1"      Type="Plugin"      AlgoName="HwBeautyIpp"><Connect     PadName="Out0"  PeerNodeName="Node2"    PeerPadName="In0" /></Node>
            <Node       Name="Node2"      Type="Plugin"      AlgoName="FairLightIpp"><Connect    PadName="Out0"  PeerNodeName="Node3"    PeerPadName="In0" /></Node>
            <Node       Name="Node3"      Type="Plugin"      AlgoName="SinkPlugin" PlaceholderType="Tail"><Connect      PadName="In0"   PeerNodeName="Node2"    PeerPadName="Out0" /></Node>
        </Pipeline>
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node Name="Node0" Type="Plugin"      AlgoName="SourcePlugin"><Connect         PadName="Out0"  PeerNodeName="Node1"   PeerPadName="In0"  /></Node>
            <Node Name="Node1" Type="Plugin"      AlgoName="AiRawV2PpAlgo"><Connect        PadName="Out0"  PeerNodeName="Node2"   PeerPadName="In0"  /></Node>
            <Node Name="Node2" Type="Plugin"      AlgoName="faceModel"><Connect            PadName="Out0"  PeerNodeName="Node3"   PeerPadName="In0"  /></Node>
            <Node Name="Node3" Type="Plugin"      AlgoName="HwBeautyPpAlgo"><Connect       PadName="Out0"  PeerNodeName="Node4"   PeerPadName="In0"  /></Node>
            <Node Name="Node4" Type="Plugin"      AlgoName="fairlightV2"><Connect          PadName="Out0"  PeerNodeName="Node5"   PeerPadName="In0"  /></Node>
            <Node Name="Node5" Type="Plugin"      AlgoName="SinkPlugin" PlaceholderType="Tail"  StreamType = "Raw2Yuv"><Connect           PadName="In0"   PeerNodeName="Node4"   PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="aiRawHdrpLiteNoFacePortrait" RequestName = "aiRawHdrpLiteNoFacePortrait" Base="aiRawHdrpLitePortrait">
       <Pipeline Name="PostIpp" FilterType="PreviewFilter">
            <Node       Name="Node0"      Type="Plugin"      AlgoName="SourcePlugin"><Connect       PadName="Out0"  PeerNodeName="Node1"    PeerPadName="In0" /></Node>
            <Node       Name="Node1"      Type="Plugin"      AlgoName="HwBeautyIpp"><Connect        PadName="Out0"  PeerNodeName="Node2"    PeerPadName="In0" /></Node>
            <Node       Name="Node2"      Type="Plugin"      AlgoName="FairLightIpp"><Connect       PadName="Out0"  PeerNodeName="Node3"    PeerPadName="In0" /></Node>
            <Node       Name="Node3"      Type="Plugin"      AlgoName="SinkPlugin" PlaceholderType="Tail" StreamType="Preview"><Connect     PadName="In0"   PeerNodeName="Node2"    PeerPadName="Out0" /></Node>
        </Pipeline>
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node       Name="Node0"      Type="Plugin"       AlgoName="SourcePlugin"><Connect        PadName="Out0"   PeerNodeName="Node1"    PeerPadName="In0" /></Node>
            <Node       Name="Node1"      Type="Plugin"       AlgoName="AiRawV2PpAlgo"><Connect       PadName="Out0"   PeerNodeName="Node2"    PeerPadName="In0" /></Node>
            <Node       Name="Node2"      Type="Plugin"       AlgoName="HwBeautyPpAlgo"><Connect      PadName="Out0"   PeerNodeName="Node3"    PeerPadName="In0" /></Node>
            <Node       Name="Node3"      Type="Plugin"       AlgoName="SinkPlugin" PlaceholderType="Tail"  StreamType = "Raw2Yuv"><Connect          PadName="In0"    PeerNodeName="Node2"    PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="fullzoomAiRawNoFacePortrait" RequestName = "fullzoomAiRawNoFacePortrait" Base="aiRawHdrpLiteNoFacePortrait">
        <Pipeline Name="PostIpp" FilterType="PreviewFilter">
            <Node       Name="Node0"      Type="Plugin"      AlgoName="SourcePlugin"><Connect       PadName="Out0"  PeerNodeName="Node1"    PeerPadName="In0" /></Node>
            <Node       Name="Node1"      Type="Plugin"      AlgoName="VideoBokehDmapAlgo"><Connect PadName="Out0"  PeerNodeName="Node2"    PeerPadName="In0" /></Node>
            <Node       Name="Node2"      Type="Plugin"      AlgoName="HwBeautyIpp"><Connect        PadName="Out0"  PeerNodeName="Node3"    PeerPadName="In0" /></Node>
            <Node       Name="Node3"      Type="Plugin"      AlgoName="FairLightIpp"><Connect       PadName="Out0"  PeerNodeName="DropFrame"    PeerPadName="In0" /></Node>
            <Node       Name="DropFrame" Type="Plugin"      AlgoName="DropFrame"><Connect          PadName="Out0"  PeerNodeName="Node4"   PeerPadName="In0"  /> </Node>
            <Node       Name="Node4"      Type="Plugin"      AlgoName="SinkPlugin" PlaceholderType="Tail" StreamType="Preview"><Connect     PadName="In0"   PeerNodeName="DropFrame"    PeerPadName="Out0" /></Node>
        </Pipeline>
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node       Name="Node0"      Type="Plugin"       AlgoName="SourcePlugin"><Connect        PadName="Out0"   PeerNodeName="Node1"    PeerPadName="In0" /></Node>
            <Node       Name="Node1"      Type="Plugin"       AlgoName="AiRawV2PpAlgo"><Connect       PadName="Out0"   PeerNodeName="Node2"    PeerPadName="In0" /></Node>
            <Node       Name="Node2"      Type="Plugin"       AlgoName="YUVEnhance"><Connect      PadName="Out0"   PeerNodeName="Node3"    PeerPadName="In0" /></Node>
            <Node       Name="Node3"      Type="Plugin"       AlgoName="HwBeautyPpAlgo"><Connect      PadName="Out0"   PeerNodeName="Node4"    PeerPadName="In0" /></Node>
            <Node       Name="Node4"      Type="Plugin"       AlgoName="SinkPlugin" PlaceholderType="Tail"  StreamType = "Raw2Yuv"><Connect          PadName="In0"    PeerNodeName="Node3"    PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="fullzoomAiRawNoFacePortraitStageCapture" RequestName = "fullzoomAiRawNoFacePortraitStageCapture" Base="fullzoomAiRawNoFacePortrait">
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node Name="Source"           Type="Plugin"      AlgoName="SourcePlugin"><Connect         PadName="Out0"  PeerNodeName="IveeCollector" PeerPadName="In0" /></Node>
            <Node Name="IveeCollector"    Type="Plugin"      AlgoName="IveeCollectorPlugin"><Connect  PadName="Out0"  PeerNodeName="IveeSink"      PeerPadName="In0" /></Node>
            <Node Name="IveeSink"         Type="Plugin"      AlgoName="IveeSinkPlugin"><Connect       PadName="Out0"  PeerNodeName="RefPick"       PeerPadName="In0" /></Node>
            <Node Name="RefPick"          Type="Plugin"      AlgoName="RefPickPlugin"><Connect        PadName="Out0"  PeerNodeName="Raw2Yuv"       PeerPadName="In0" /></Node>
            <Node Name="Raw2Yuv"          Type="Plugin"      AlgoName="Raw2YuvPlugin"><Connect        PadName="Out0"  PeerNodeName="Sink"   PeerPadName="In0" /></Node>
            <Node Name="Sink"             Type="Plugin"      AlgoName="SinkPlugin" PlaceholderType="Tail" StreamType="Raw2Yuv"><Connect PadName="In0" PeerNodeName="Raw2Yuv" PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
<!--Rear portrait sceneMode end-->
<!--Front portrait sceneMode begin-->
    <Feature Name="FrontCaptureEscapeMode" RequestName = "normalshot" Base="normalmode">
    </Feature>
    <Feature Name="FairlightAiRawHdrpFront"  RequestName = "FairlightAiRawHdrpFront" Base="rawhdrAiRaw">
        <Pipeline Name="PostIpp" FilterType="PreviewFilter">
            <Node       Name="Node0"      Type="Plugin"      AlgoName="SourcePlugin"><Connect    PadName="Out0"  PeerNodeName="Node1"    PeerPadName="In0" /></Node>
            <Node       Name="Node1"      Type="Plugin"      AlgoName="HwBeautyIpp"><Connect     PadName="Out0"  PeerNodeName="Node2"    PeerPadName="In0" /></Node>
            <Node       Name="Node2"      Type="Plugin"      AlgoName="FairLightIpp"><Connect    PadName="Out0"  PeerNodeName="Node3"    PeerPadName="In0" /></Node>
            <Node       Name="Node3"      Type="Plugin"      AlgoName="SinkPlugin" PlaceholderType="Tail"><Connect      PadName="In0"   PeerNodeName="Node2"    PeerPadName="Out0" /></Node>
        </Pipeline>
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node Name="Node0" Type="Plugin"      AlgoName="SourcePlugin"><Connect         PadName="Out0"  PeerNodeName="Node1"   PeerPadName="In0"  /></Node>
            <Node Name="Node1" Type="Plugin"      AlgoName="AiRawV2PpAlgo"><Connect        PadName="Out0"  PeerNodeName="Node2"   PeerPadName="In0"  /></Node>
            <Node Name="Node2" Type="Plugin"      AlgoName="faceModel"><Connect            PadName="Out0"  PeerNodeName="Node3"   PeerPadName="In0"  /></Node>
            <Node Name="Node3" Type="Plugin"      AlgoName="FaceSr"><Connect            PadName="Out0"  PeerNodeName="Node5"   PeerPadName="In0"  /></Node>
            <!-- <Node Name="Node4" Type="Plugin"      AlgoName="hwFaceAttrPpAlgo"><Connect     PadName="Out0"  PeerNodeName="Node5"   PeerPadName="In0"  /></Node> -->
            <Node Name="Node5" Type="Plugin"      AlgoName="HwBeautyPpAlgo"><Connect       PadName="Out0"  PeerNodeName="Node6"   PeerPadName="In0"  /></Node>
            <Node Name="Node6" Type="Plugin"      AlgoName="fairlightV2"><Connect          PadName="Out0"  PeerNodeName="Node7"   PeerPadName="In0"  /></Node>
            <Node Name="Node7" Type="Plugin"      AlgoName="SinkPlugin" PlaceholderType="Tail"  StreamType = "Raw2Yuv"><Connect           PadName="In0"   PeerNodeName="Node6"   PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="FairlightAiRawHdrpliteFront"  RequestName = "FairlightAiRawHdrpliteFront" Base="rawhdrAiRaw">
        <Pipeline Name="PostIpp" FilterType="PreviewFilter">
            <Node       Name="Node0"      Type="Plugin"      AlgoName="SourcePlugin"><Connect    PadName="Out0"  PeerNodeName="Node1"    PeerPadName="In0" /></Node>
            <Node       Name="Node1"      Type="Plugin"      AlgoName="HwBeautyIpp"><Connect     PadName="Out0"  PeerNodeName="Node2"    PeerPadName="In0" /></Node>
            <Node       Name="Node2"      Type="Plugin"      AlgoName="FairLightIpp"><Connect    PadName="Out0"  PeerNodeName="Node3"    PeerPadName="In0" /></Node>
            <Node       Name="Node3"      Type="Plugin"      AlgoName="SinkPlugin" PlaceholderType="Tail"><Connect      PadName="In0"   PeerNodeName="Node2"    PeerPadName="Out0" /></Node>
        </Pipeline>
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node Name="Node0" Type="Plugin"      AlgoName="SourcePlugin"><Connect         PadName="Out0"  PeerNodeName="Node1"   PeerPadName="In0"  /></Node>
            <Node Name="Node1" Type="Plugin"      AlgoName="AiRawV2PpAlgo"><Connect        PadName="Out0"  PeerNodeName="Node2"   PeerPadName="In0"  /></Node>
            <Node Name="Node2" Type="Plugin"      AlgoName="faceModel"><Connect            PadName="Out0"  PeerNodeName="Node3"   PeerPadName="In0"  /></Node>
            <Node Name="Node3" Type="Plugin"      AlgoName="FaceSr"><Connect            PadName="Out0"  PeerNodeName="Node5"   PeerPadName="In0"  /></Node>
            <!-- <Node Name="Node4" Type="Plugin"      AlgoName="hwFaceAttrPpAlgo"><Connect     PadName="Out0"  PeerNodeName="Node5"   PeerPadName="In0"  /></Node> -->
            <Node Name="Node5" Type="Plugin"      AlgoName="HwBeautyPpAlgo"><Connect       PadName="Out0"  PeerNodeName="Node6"   PeerPadName="In0"  /></Node>
            <Node Name="Node6" Type="Plugin"      AlgoName="fairlightV2"><Connect          PadName="Out0"  PeerNodeName="Node7"   PeerPadName="In0"  /></Node>
            <Node Name="Node7" Type="Plugin"      AlgoName="SinkPlugin" PlaceholderType="Tail"  StreamType = "Raw2Yuv"><Connect           PadName="In0"   PeerNodeName="Node6"   PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="fairlight_front" RequestName = "fairlight_front" Base="normalmode">
        <Pipeline Name="PostIpp" FilterType="PreviewFilter">
            <Node       Name="Node0"      Type="Plugin"       AlgoName="SourcePlugin"><Connect    PadName="Out0"  PeerNodeName="Node1"    PeerPadName="In0" /></Node>
            <Node       Name="Node1"      Type="Plugin"       AlgoName="HwBeautyIpp"><Connect     PadName="Out0"  PeerNodeName="Node2"    PeerPadName="In0" /></Node>
            <Node       Name="Node2"      Type="Plugin"       AlgoName="FairLightIpp"><Connect    PadName="Out0"  PeerNodeName="Node3"    PeerPadName="In0" /></Node>
            <Node       Name="Node3"      Type="Plugin"       AlgoName="SinkPlugin" PlaceholderType="Tail"><Connect      PadName="In0"   PeerNodeName="Node2"    PeerPadName="Out0" /></Node>
        </Pipeline>
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node       Name="Node0"      Type="Plugin"       AlgoName="SourcePlugin"><Connect          PadName="Out0"   PeerNodeName="Node1"    PeerPadName="In0" /></Node>
            <Node       Name="Node1"      Type="Plugin"       AlgoName="faceModel"><Connect             PadName="Out0"   PeerNodeName="Node3"    PeerPadName="In0" /></Node>
            <!--<Node       Name="Node2"      Type="Plugin"       AlgoName="hwFaceAttrPpAlgo"><Connect      PadName="Out0"   PeerNodeName="Node3"    PeerPadName="In0" /></Node> -->
            <Node       Name="Node3"      Type="Plugin"       AlgoName="HwBeautyPpAlgo"><Connect        PadName="Out0"   PeerNodeName="Node4"    PeerPadName="In0" /></Node>
            <Node       Name="Node4"      Type="Plugin"       AlgoName="fairlightV2"><Connect           PadName="Out0"   PeerNodeName="Node5"    PeerPadName="In0" /></Node>
            <Node       Name="Node5"      Type="Plugin"       AlgoName="SinkPlugin"><Connect            PadName="In0"    PeerNodeName="Node4"    PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="frontbeautyHdrplite" RequestName = "frontbeautyHdrplite" Base="fairlight_front">
        <Pipeline Name="PostIpp" FilterType="PreviewFilter">
            <Node       Name="Node0"      Type="Plugin"       AlgoName="SourcePlugin"><Connect    PadName="Out0"  PeerNodeName="Node1"    PeerPadName="In0" /></Node>
            <Node       Name="Node1"      Type="Plugin"       AlgoName="HwBeautyIpp"><Connect     PadName="Out0"  PeerNodeName="Node2"    PeerPadName="In0" /></Node>
            <Node       Name="Node2"      Type="Plugin"       AlgoName="FairLightIpp"><Connect     PadName="Out0"  PeerNodeName="Node3"    PeerPadName="In0" /></Node>
            <Node       Name="Node3"      Type="Plugin"      AlgoName="SinkPlugin" PlaceholderType="Tail" StreamType="Preview"><Connect      PadName="In0"   PeerNodeName="Node2"    PeerPadName="Out0" /></Node>
        </Pipeline>
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node       Name="Node0"      Type="Plugin"       AlgoName="SourcePlugin">      <Connect  PadName="Out0"   PeerNodeName="Node1"    PeerPadName="In0"  /></Node>
            <Node       Name="Node1"      Type="Plugin"       AlgoName="AiRawV2PpAlgo">     <Connect  PadName="Out0"   PeerNodeName="Node2"    PeerPadName="In0"  /></Node>
            <Node       Name="Node2"      Type="Plugin"       AlgoName="FaceSr"><Connect            PadName="Out0"  PeerNodeName="Node4"   PeerPadName="In0"  /></Node>
            <!-- <Node       Name="Node3"      Type="Plugin"       AlgoName="hwFaceAttrPpAlgo">  <Connect  PadName="Out0"   PeerNodeName="Node4"    PeerPadName="In0"  /></Node> -->
            <Node       Name="Node4"      Type="Plugin"       AlgoName="HwBeautyPpAlgo">    <Connect  PadName="Out0"   PeerNodeName="Node5"    PeerPadName="In0"  /></Node>
            <Node       Name="Node5"      Type="Plugin"       AlgoName="SinkPlugin" PlaceholderType="Tail"  StreamType = "Raw2Yuv">        <Connect  PadName="In0"    PeerNodeName="Node4"    PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="frontbeautyHdrpliteStageCapture" RequestName = "frontbeautyHdrpliteStageCapture" Base="frontbeautyHdrplite">
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node Name="Source"           Type="Plugin"      AlgoName="SourcePlugin"><Connect         PadName="Out0"  PeerNodeName="IveeCollector" PeerPadName="In0" /></Node>
            <Node Name="IveeCollector"    Type="Plugin"      AlgoName="IveeCollectorPlugin"><Connect  PadName="Out0"  PeerNodeName="IveeSink"      PeerPadName="In0" /></Node>
            <Node Name="IveeSink"         Type="Plugin"      AlgoName="IveeSinkPlugin"><Connect       PadName="Out0"  PeerNodeName="RefPick"       PeerPadName="In0" /></Node>
            <Node Name="RefPick"          Type="Plugin"      AlgoName="RefPickPlugin"><Connect        PadName="Out0"  PeerNodeName="Raw2Yuv"       PeerPadName="In0" /></Node>
            <Node Name="Raw2Yuv"          Type="Plugin"      AlgoName="Raw2YuvPlugin"><Connect        PadName="Out0"  PeerNodeName="Sink"   PeerPadName="In0" /></Node>
            <Node Name="Sink"             Type="Plugin"      AlgoName="SinkPlugin" PlaceholderType="Tail" StreamType="Raw2Yuv"><Connect PadName="In0" PeerNodeName="Raw2Yuv" PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="frontbeautyBokehHdrpAiRaw" RequestName="frontbeautyBokehHdrpAiRaw" Base="frontbeautyHdrplite">
        <Pipeline Name="PostIpp" FilterType="PreviewFilter">
            <Node       Name="Node0"      Type="Plugin"      AlgoName="SourcePlugin"><Connect    PadName="Out0"  PeerNodeName="Node1"    PeerPadName="In0" /></Node>
            <Node       Name="Node1"      Type="Plugin"      AlgoName="HwBeautyIpp"><Connect     PadName="Out0"  PeerNodeName="Node2"    PeerPadName="In0" /></Node>
            <Node       Name="Node2"      Type="Plugin"      AlgoName="FrontBokehAlgo"><Connect  PadName="Out0"  PeerNodeName="Node3"    PeerPadName="In0" /></Node>
            <Node       Name="Node3"      Type="Plugin"      AlgoName="SinkPlugin" PlaceholderType="Tail" StreamType="Preview"><Connect      PadName="In0"   PeerNodeName="Node2"    PeerPadName="Out0" /></Node>
        </Pipeline>
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node       Name="Node0"      Type="Plugin"       AlgoName="SourcePlugin"><Connect      PadName="Out0"  PeerNodeName="Node1"    PeerPadName="In0"  /></Node>
            <Node       Name="Node1"      Type="Plugin"       AlgoName="AiRawV2PpAlgo"><Connect     PadName="Out0"  PeerNodeName="Node2"    PeerPadName="In0"  /></Node>
            <Node       Name="Node2"      Type="Plugin"       AlgoName="FaceSr"><Connect            PadName="Out0"  PeerNodeName="Node4"   PeerPadName="In0"  /></Node>
            <!--<Node       Name="Node3"      Type="Plugin"       AlgoName="hwFaceAttrPpAlgo"><Connect  PadName="Out0"  PeerNodeName="Node4"    PeerPadName="In0"  /></Node> -->
            <Node       Name="Node4"      Type="Plugin"       AlgoName="frontbokehmask"><Connect    PadName="Out0"  PeerNodeName="Node5"    PeerPadName="In0"  /></Node>
            <Node       Name="Node5"      Type="Plugin"       AlgoName="frontbokeh"><Connect        PadName="Out0"  PeerNodeName="Node6"    PeerPadName="In0"  /></Node>
            <Node       Name="Node6"      Type="Plugin"       AlgoName="HwBeautyPpAlgo"><Connect    PadName="Out0"  PeerNodeName="Node7"    PeerPadName="In0"  /></Node>
            <Node       Name="Node7"      Type="Plugin"       AlgoName="SinkPlugin" PlaceholderType="Tail"  StreamType = "Raw2Yuv"><Connect        PadName="In0"   PeerNodeName="Node6"    PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="frontbeautyBokehHdrpAiRawStageCapture" RequestName="frontbeautyBokehHdrpAiRawStageCapture" Base="frontbeautyBokehHdrpAiRaw">
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node Name="Source"           Type="Plugin"      AlgoName="SourcePlugin"><Connect         PadName="Out0"  PeerNodeName="IveeCollector" PeerPadName="In0" /></Node>
            <Node Name="IveeCollector"    Type="Plugin"      AlgoName="IveeCollectorPlugin"><Connect  PadName="Out0"  PeerNodeName="IveeSink"      PeerPadName="In0" /></Node>
            <Node Name="IveeSink"         Type="Plugin"      AlgoName="IveeSinkPlugin"><Connect       PadName="Out0"  PeerNodeName="RefPick"       PeerPadName="In0" /></Node>
            <Node Name="RefPick"          Type="Plugin"      AlgoName="RefPickPlugin"><Connect        PadName="Out0"  PeerNodeName="Raw2Yuv"       PeerPadName="In0" /></Node>
            <Node Name="Raw2Yuv"          Type="Plugin"      AlgoName="Raw2YuvPlugin"><Connect        PadName="Out0"  PeerNodeName="Bokehmask"      PeerPadName="In0" /></Node>
            <Node Name="Bokehmask"        Type="Plugin"      AlgoName="frontbokehmask"><Connect       PadName="Out0"  PeerNodeName="Bokeh"         PeerPadName="In0"  /></Node>
            <Node Name="Bokeh"            Type="Plugin"      AlgoName="frontbokeh"><Connect           PadName="Out0"  PeerNodeName="Sink"   PeerPadName="In0"  /></Node>
            <Node Name="Sink"             Type="Plugin"      AlgoName="SinkPlugin" PlaceholderType="Tail" StreamType="Raw2Yuv"><Connect PadName="In0" PeerNodeName="Bokeh" PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="frontbeautyBokehHdrpAiRawStageCaptureEscape" RequestName="frontbeautyBokehHdrpAiRawStageCaptureEscape" Base="frontbeautyBokehHdrpAiRaw">
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node Name="Source"           Type="Plugin"      AlgoName="SourcePlugin"><Connect         PadName="Out0"  PeerNodeName="IveeCollector" PeerPadName="In0" /></Node>
            <Node Name="IveeCollector"    Type="Plugin"      AlgoName="IveeCollectorPlugin"><Connect  PadName="Out0"  PeerNodeName="IveeSink"      PeerPadName="In0" /></Node>
            <Node Name="IveeSink"         Type="Plugin"      AlgoName="IveeSinkPlugin"><Connect       PadName="Out0"  PeerNodeName="RefPick"       PeerPadName="In0" /></Node>
            <Node Name="RefPick"          Type="Plugin"      AlgoName="RefPickPlugin"><Connect        PadName="Out0"  PeerNodeName="Raw2Yuv"       PeerPadName="In0" /></Node>
            <Node Name="Raw2Yuv"          Type="Plugin"      AlgoName="Raw2YuvPlugin"><Connect        PadName="Out0"  PeerNodeName="Sink"      PeerPadName="In0" /></Node>
            <Node Name="Sink"             Type="Plugin"      AlgoName="SinkPlugin" PlaceholderType="Tail" StreamType="Raw2Yuv"><Connect PadName="In0" PeerNodeName="Raw2Yuv" PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="frontbeautyBokehHdrplite" RequestName="frontbeautyBokehHdrplite" Base="frontbeautyBokehHdrpAiRaw">
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node       Name="Node0"      Type="Plugin"       AlgoName="SourcePlugin"><Connect      PadName="Out0"  PeerNodeName="Node1"    PeerPadName="In0"  /></Node>
            <Node       Name="Node1"      Type="Plugin"       AlgoName="AiRawV2PpAlgo"><Connect     PadName="Out0"  PeerNodeName="Node2"    PeerPadName="In0"  /></Node>
            <Node       Name="Node2"      Type="Plugin"       AlgoName="FaceSr"><Connect            PadName="Out0"  PeerNodeName="Node4"   PeerPadName="In0"  /></Node>
            <!--<Node       Name="Node3"      Type="Plugin"       AlgoName="hwFaceAttrPpAlgo"><Connect  PadName="Out0"  PeerNodeName="Node4"    PeerPadName="In0"  /></Node> -->
            <Node       Name="Node4"      Type="Plugin"       AlgoName="frontbokehmask"><Connect    PadName="Out0"  PeerNodeName="Node5"    PeerPadName="In0"  /></Node>
            <Node       Name="Node5"      Type="Plugin"       AlgoName="frontbokeh"><Connect        PadName="Out0"  PeerNodeName="Node6"    PeerPadName="In0"  /></Node>
            <Node       Name="Node6"      Type="Plugin"       AlgoName="HwBeautyPpAlgo"><Connect    PadName="Out0"  PeerNodeName="Node7"    PeerPadName="In0"  /></Node>
            <Node       Name="Node7"      Type="Plugin"       AlgoName="SinkPlugin" PlaceholderType="Tail"  StreamType = "Raw2Yuv"><Connect        PadName="In0"   PeerNodeName="Node6"    PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="frontbeautyBokehHdrpliteStageCapture" RequestName="frontbeautyBokehHdrpliteStageCapture" Base="frontbeautyBokehHdrplite">
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node Name="Source"           Type="Plugin"      AlgoName="SourcePlugin"><Connect         PadName="Out0"  PeerNodeName="IveeCollector" PeerPadName="In0" /></Node>
            <Node Name="IveeCollector"    Type="Plugin"      AlgoName="IveeCollectorPlugin"><Connect  PadName="Out0"  PeerNodeName="IveeSink"      PeerPadName="In0" /></Node>
            <Node Name="IveeSink"         Type="Plugin"      AlgoName="IveeSinkPlugin"><Connect       PadName="Out0"  PeerNodeName="RefPick"       PeerPadName="In0" /></Node>
            <Node Name="RefPick"          Type="Plugin"      AlgoName="RefPickPlugin"><Connect        PadName="Out0"  PeerNodeName="Raw2Yuv"       PeerPadName="In0" /></Node>
            <Node Name="Raw2Yuv"          Type="Plugin"      AlgoName="Raw2YuvPlugin"><Connect        PadName="Out0"  PeerNodeName="Bokehmask"      PeerPadName="In0" /></Node>
            <Node Name="Bokehmask"        Type="Plugin"      AlgoName="frontbokehmask"><Connect       PadName="Out0"  PeerNodeName="Bokeh"         PeerPadName="In0"  /></Node>
            <Node Name="Bokeh"            Type="Plugin"      AlgoName="frontbokeh"><Connect           PadName="Out0"  PeerNodeName="Sink"   PeerPadName="In0"  /></Node>
            <Node Name="Sink"             Type="Plugin"      AlgoName="SinkPlugin" PlaceholderType="Tail" StreamType="Raw2Yuv"><Connect PadName="In0" PeerNodeName="Bokeh" PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="frontbeautyBokehHdrpliteStageCaptureEscape" RequestName="frontbeautyBokehHdrpliteStageCaptureEscape" Base="frontbeautyBokehHdrplite">
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node Name="Source"           Type="Plugin"      AlgoName="SourcePlugin"><Connect         PadName="Out0"  PeerNodeName="IveeCollector" PeerPadName="In0" /></Node>
            <Node Name="IveeCollector"    Type="Plugin"      AlgoName="IveeCollectorPlugin"><Connect  PadName="Out0"  PeerNodeName="IveeSink"      PeerPadName="In0" /></Node>
            <Node Name="IveeSink"         Type="Plugin"      AlgoName="IveeSinkPlugin"><Connect       PadName="Out0"  PeerNodeName="RefPick"       PeerPadName="In0" /></Node>
            <Node Name="RefPick"          Type="Plugin"      AlgoName="RefPickPlugin"><Connect        PadName="Out0"  PeerNodeName="Raw2Yuv"       PeerPadName="In0" /></Node>
            <Node Name="Raw2Yuv"          Type="Plugin"      AlgoName="Raw2YuvPlugin"><Connect        PadName="Out0"  PeerNodeName="Sink"      PeerPadName="In0" /></Node>
            <Node Name="Sink"             Type="Plugin"      AlgoName="SinkPlugin" PlaceholderType="Tail" StreamType="Raw2Yuv"><Connect PadName="In0" PeerNodeName="Raw2Yuv" PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="EllipAirawMode"  RequestName="EllipDynamicZsl" Base="rawhdrAiRaw">
        <Pipeline Name="PostIpp" FilterType="PreviewFilter">
            <Node Name="Node0" Type="Plugin"      AlgoName="SourcePlugin"><Connect         PadName="Out0"  PeerNodeName="Node1"   PeerPadName="In0"  /> </Node>
            <Node Name="Node1" Type="Plugin"      AlgoName="SinkPlugin" PlaceholderType="Tail" StreamType="Preview"><Connect           PadName="In0"   PeerNodeName="Node0"   PeerPadName="Out0" /> </Node>
        </Pipeline>
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node       Name="Node0"      Type="Plugin"       AlgoName="SourcePlugin"><Connect         PadName="Out0"   PeerNodeName="Node1"    PeerPadName="In0" /></Node>
            <Node       Name="Node1"      Type="Plugin"       AlgoName="AiRawV2PpAlgo"><Connect        PadName="Out0"   PeerNodeName="Node2"    PeerPadName="In0" /></Node>
            <Node       Name="Node2"      Type="Plugin"       AlgoName="YUVEnhance"><Connect      PadName="Out0"   PeerNodeName="Node3"    PeerPadName="In0" /></Node>
            <Node       Name="Node3"      Type="Plugin"       AlgoName="RedEyeRemovePpAlgo"><Connect PadName="Out0"   PeerNodeName="Node4"    PeerPadName="In0" /></Node>
            <Node       Name="Node4"      Type="Plugin"       AlgoName="SinkPlugin" PlaceholderType="Tail"  StreamType = "Raw2Yuv"><Connect           PadName="In0"    PeerNodeName="Node3"    PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="fullzoomAiRawEllip" RequestName="fullzoomAiRawEllip" Base="EllipAirawMode">
    </Feature>
    <Feature Name="FrontBeautyAiRawHdrp" RequestName="FrontBeautyAiRawHdrp" Base="fairlight_front">
        <Pipeline Name="PostIpp" FilterType="PreviewFilter">
            <Node       Name="Node0"      Type="Plugin"       AlgoName="SourcePlugin"><Connect    PadName="Out0"  PeerNodeName="Node1"    PeerPadName="In0" /></Node>
            <Node       Name="Node1"      Type="Plugin"       AlgoName="HwBeautyIpp"><Connect     PadName="Out0"  PeerNodeName="Node2"    PeerPadName="In0" /></Node>
            <Node       Name="Node2"      Type="Plugin"       AlgoName="FairLightIpp"><Connect     PadName="Out0"  PeerNodeName="Node3"    PeerPadName="In0" /></Node>
            <Node       Name="Node3"      Type="Plugin"       AlgoName="SinkPlugin" PlaceholderType="Tail" StreamType="Preview"><Connect      PadName="In0"   PeerNodeName="Node2"    PeerPadName="Out0" /></Node>
        </Pipeline>
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node       Name="Node0"      Type="Plugin"       AlgoName="SourcePlugin">      <Connect  PadName="Out0"   PeerNodeName="Node1"    PeerPadName="In0"  /></Node>
            <Node       Name="Node1"      Type="Plugin"       AlgoName="AiRawV2PpAlgo">     <Connect  PadName="Out0"   PeerNodeName="Node2"    PeerPadName="In0"  /></Node>
            <Node       Name="Node2"      Type="Plugin"       AlgoName="FaceSr"><Connect            PadName="Out0"  PeerNodeName="Node4"   PeerPadName="In0"  /></Node>
            <!-- <Node       Name="Node3"      Type="Plugin"       AlgoName="hwFaceAttrPpAlgo">  <Connect  PadName="Out0"   PeerNodeName="Node4"    PeerPadName="In0"  /></Node> -->
            <Node       Name="Node4"      Type="Plugin"       AlgoName="HwBeautyPpAlgo">    <Connect  PadName="Out0"   PeerNodeName="Node5"    PeerPadName="In0"  /></Node>
            <Node       Name="Node5"      Type="Plugin"       AlgoName="SinkPlugin" PlaceholderType="Tail"  StreamType = "Raw2Yuv">        <Connect  PadName="In0"    PeerNodeName="Node4"    PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
    <Feature Name="FrontBeautyAiRawHdrpStageCapture" RequestName="FrontBeautyAiRawHdrpStageCapture" Base="FrontBeautyAiRawHdrp">
        <Pipeline Name="PostPp" FilterType="PPFilter">
            <Node Name="Source"           Type="Plugin"      AlgoName="SourcePlugin"><Connect         PadName="Out0"  PeerNodeName="IveeCollector" PeerPadName="In0" /></Node>
            <Node Name="IveeCollector"    Type="Plugin"      AlgoName="IveeCollectorPlugin"><Connect  PadName="Out0"  PeerNodeName="IveeSink"      PeerPadName="In0" /></Node>
            <Node Name="IveeSink"         Type="Plugin"      AlgoName="IveeSinkPlugin"><Connect       PadName="Out0"  PeerNodeName="RefPick"       PeerPadName="In0" /></Node>
            <Node Name="RefPick"          Type="Plugin"      AlgoName="RefPickPlugin"><Connect        PadName="Out0"  PeerNodeName="Raw2Yuv"       PeerPadName="In0" /></Node>
            <Node Name="Raw2Yuv"          Type="Plugin"      AlgoName="Raw2YuvPlugin"><Connect        PadName="Out0"  PeerNodeName="Sink"   PeerPadName="In0" /></Node>
            <Node Name="Sink"             Type="Plugin"      AlgoName="SinkPlugin" PlaceholderType="Tail" StreamType="Raw2Yuv"><Connect PadName="In0" PeerNodeName="Raw2Yuv" PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
<!--Front portrait sceneMode end-->
    <Feature Name="airawHighResMode" RequestName="airawHighRes" Base="rawhdrAiRaw">
    </Feature>
    <Feature Name="hdrpliteAiRaw" RequestName="aiRawHdrplite" Base="rawhdrAiRaw">
    </Feature>
    <Feature Name="rearRemosaicMode" RequestName = "rearRemosaic" Base="HdrDisplayNormalMode">
    </Feature>
    <Feature Name="foreFullZoomAiRaw" RequestName="ForeGroundFullZoomAiRaw" Base="normalmode">
        <Pipeline Name="PostIpp" FilterType="PreviewFilter">
            <Node Name="Node0" Type="Plugin" AlgoName="SourcePlugin"><Connect  PadName="Out0" PeerNodeName="Node1" PeerPadName="In0" /></Node>
            <Node Name="Node1" Type="Plugin" AlgoName="BShutterTryAE"><Connect PadName="Out0" PeerNodeName="Node2" PeerPadName="In0" /></Node>
            <Node Name="Node2" Type="Plugin" AlgoName="SinkPlugin" PlaceholderType="Tail"><Connect PadName="In0" PeerNodeName="Node1" PeerPadName="Out0" /></Node>
        </Pipeline>
        <Pipeline Name="ForePp" FilterType="FPFilter">
            <Node Name="Node0"      Type="Plugin"       AlgoName="SourcePlugin"><Connect    PadName="Out0"   PeerNodeName="Node1"    PeerPadName="In0" /></Node>
            <Node Name="Node1"      Type="Plugin"       AlgoName="AiRawV2PpAlgo"><Connect   PadName="Out0"   PeerNodeName="Node2"    PeerPadName="In0" /></Node>
            <Node Name="Node2"      Type="Plugin"       AlgoName="SinkPlugin"  PlaceholderType="Tail" StreamType = "Raw2Yuv"><Connect        PadName="In0"     PeerNodeName="Node1"    PeerPadName="Out0" /></Node>
        </Pipeline>
    </Feature>
</FeatureConfig>
